<?php

/**
 * Provides the select box view for allowing Admins to restrict Users to
 * certain languages.
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://ozthegreat.io/wordpress/wpml-editor-languages
 * @since      1.0.0
 *
 * @package    Wpml_Editor_Languages
 * @subpackage Wpml_Editor_Languages/admin/partials
 */
?>

<h3><?php _e( 'Allowed Languages', 'wpml-editor-languages' ); ?></h3>
<table class="form-table">
	<tr>
		<th><label for="languages_allowed"><?php _e( 'Languages allowed to edit', 'wpml-editor-languages' ); ?></label></th>
		<td>
			<select name="languages_allowed[]" multiple="multiple">
			<?php foreach ( (array) $languages as $language ) : ?>
				<option value="<?php echo esc_attr( $language['language_code'] ); ?>" <?php selected( isset( $user_languages[ $language['language_code'] ] ) ); ?>>
					<?php echo esc_html( $language['translated_name'] ); ?>
				</option>
			<?php endforeach; ?>
			</select>
		</td>
	</tr>
</table>
